<div class="login-form-container">

  <div class="form">
    <form [formGroup]="loginForm" class="login-form">
      <h2 class="title">Connectez vous au portail</h2>
      <mat-form-field color="accent">
      <input  matInput type="email" name="email"
             placeholder="Courriel" formControlName="email">
             <mat-error *ngIf="loginForm.get('email')">{{courrielErrorMessage()}}</mat-error>
      </mat-form-field>
  
      <mat-form-field color="accent">
      <input matInput type="password"
             placeholder="Mot de passe" formControlName="password">
             <mat-error *ngIf="loginForm.get('email')">{{passwordErrorMessage()}}</mat-error>
      </mat-form-field>
  
  
      <button color="accent" (click)="login()" [disabled]="!loginForm.valid" mat-raised-button>Connexion</button>
  </form>
  </div>
  
  <div class="spinner">
    <mat-spinner *ngIf="loading"></mat-spinner>
  </div>

</div>